This is a view of the current readings of all sensor chips available on your hardware, provided the sensors command is available on the system being monitored (part of the lm_sensors package).

Note: this module internally uses 64 bit row numbers and therefore requires Tcl/Tk 8.4 or above (which is already the case if you are reading this from a running moodss application).

The single table columns are:

- monitored data identification
- current value
- data unit (for example: V, RPM, °C)
- data suggested safe minimum value (if available)
- data suggested safe maximum value (if available)

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- --path directory
  The directory where the sensors command resides, /usr/bin by default. Note that an empty option value means that the sensors command must be in the path of the user running the command on the server side (also see remote monitoring below).
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to sensors(host).
  When there is a communication error with the remote host, the data cells in the value column are set to the numeric void value (displayed as ?). A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss sensors -r jdoe@foo.bar.com
    $ moodss sensors -r ssh://jdoe@foo.bar.com
    $ moodss sensors --remote foo.bar.com

Note: on the system being monitored, make sure the sensors command works. For example:

    $ sensors
    w83697hf-isa-0290
    Adapter: ISA adapter
    VCore:     +1.60 V  (min =  +0.06 V, max =  +0.03 V)
    +3.3V:     +3.30 V  (min =  +0.14 V, max =  +0.00 V)
    +5V:       +5.08 V  (min =  +0.11 V, max =  +0.00 V)
    +12V:     +11.98 V  (min =  +0.97 V, max =  +9.73 V)
    -12V:      +1.13 V  (min =  -4.22 V, max =  -4.38 V)
    -5V:       +2.04 V  (min =  -7.71 V, max =  -7.71 V)
    V5SB:      +5.56 V  (min =  +5.43 V, max =  +0.27 V)
    VBat:      +0.06 V  (min =  +0.03 V, max =  +1.28 V)
    fan1:     2710 RPM  (min =   -1 RPM, div = 2)
    fan2:        0 RPM  (min = 168750 RPM, div = 2)
    temp1:       +30°C  (high =   +40°C, hyst =   +12°C)   sensor = thermistor
    temp2:     +35.5°C  (high =  +120°C, hyst =  +120°C)   sensor = thermistor
    alarms:
    beep_enable:
              Sound alarm disabled